
 // POV-Ray scene file by Jim Burton
 // Starfield sky
 // Converted to POV-Ray 2.0 by Dan Farmer
 // This starfield not only holds its own with antialiasing, but really
 // looks better with it. (tested @ 640x480 +a0.2 +r3  --dmf)
 #include "colors.inc"
 #include "textures.inc"

 camera {
     location <0, 0, -10>
     direction z
     up y
     right x*1.33
     look_at <0 0 0>
 }

 light_source {<0, 0, -300> color White }
 light_source {<0, 0, -150> color White }


 //  This is the star field texture mapped onto a plane.
 sphere { <0,0,0>, 1
     texture {
         finish { ambient 1 }
         pigment {
             granite  // Can also use marble and leopard for other effects
             color_map {
                 [ 0.00  0.72 color Black  color Black ]  // No Stars in this ar
                 [ 0.72  0.75 color Gray20 color Gray40 ] // Very Very Faint Sta
                 [ 0.75  0.78 color Gray40 color Gray60 ] // Very Faint Stars
                 [ 0.78  0.81 color Gray60 color Gray80 ] // Faint Stars
                 [ 0.81  0.85 color Gray80 color Gray95 ] // Medium White Stars
                 [ 0.85  0.91 color Gray95 color White  ] // White Stars
                 [ 0.91  1.00 color Black  color Black ]  // No Stars in this ar
             }
             scale .015
         }
     }
     scale 10000
 }

